BSON_ITER_AS_INT64(3)

NAME
bson_iter_as_int64 - bson_iter_as_int64()

SYNOPSIS

int64_t
bson_iter_as_int64 (const bson_iter_t *iter);

PARAMETERS

•   iter: A bson_iter_t.

DESCRIPTION

The bson_iter_as_int64() function shall return the contents of the current element as if it were a BSON_TYPE_INT64 element. The currently supported casts include:

•   BSON_TYPE_BOOL

•   BSON_TYPE_DOUBLE

•   BSON_TYPE_INT32

•   BSON_TYPE_INT64

RETURNS

A 64-bit signed integer.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc